Skip to main content
GET
Get Orderbook History

Query Parameters

token_id
string
required

The token id (asset) for the Polymarket market

Example:

"56369772478534954338683665819559528414197495274302917800610633957542171787417"

start_time
integer

Start time in Unix timestamp (milliseconds). Optional - if not provided along with end_time, returns the latest orderbook snapshot.

Example:

1760470000000

end_time
integer

End time in Unix timestamp (milliseconds). Optional - if not provided along with start_time, returns the latest orderbook snapshot.

Example:

1760480000000

limit
integer
default:100

Maximum number of snapshots to return (default: 100, max: 200). Ignored when fetching the latest orderbook without start_time and end_time.

Required range: x <= 200
Example:

100

pagination_key
string

Pagination key to get the next chunk of data. Ignored when fetching the latest orderbook without start_time and end_time.

Example:

"eyJhc3NldElkIjoiMTM1ODUxMjc2NDY0NTMxMDM0ODcyMjY1MTg3ODYyNjk5NjE0MDAyMjI5NzA0NzI3MzgxMTIwOTU1NDY0MDc5MTY4NDcxMTIyNzE2NjQiLCJ0aW1lc3RhbXAiOjE3NjExMDQwOTg5MTR9"

Response

Orderbook history response

snapshots
object[]

Array of orderbook snapshots at different points in time

pagination
object